## org.apache.batik.css.engine.value
Class ListValue

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValue
          org.apache.batik.css.engine.value.ListValue

All Implemented Interfaces:
  Value

public class ListValue
extends AbstractValue

This class represents a list of values.

Field Summary
`protected Value[]` `items` The items.
`protected int` `length` The length of the list.
`protected char` `separator` The list separator.

Constructor Summary
`ListValue()` Creates a ListValue.
`ListValue(char s)` Creates a ListValue with the given separator.

Method Summary
`void` `append(Value v)` Appends an item to the list.
`java.lang.String` `getCssText()` A string representation of the current value.
`short` `getCssValueType()` Implements `Value.getCssValueType()`.
`int` `getLength()` Implements `Value.getLength()`.
`char` `getSeparatorChar()` Returns the separator used for this list.
`Value` `item(int index)` Implements `Value.item(int)`.
`java.lang.String` `toString()` Returns a printable representation of this value.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValue
`createDOMException, getBlue, getBottom, getFloatValue, getGreen, getIdentifier, getLeft, getListStyle, getPrimitiveType, getRed, getRight, getSeparator, getStringValue, getTop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### length

    protected int length

  The length of the list.

### items

    protected Value[] items

  The items.

### separator

    protected char separator

  The list separator.

Constructor Detail

### ListValue

    public ListValue()

  Creates a ListValue.

### ListValue

    public ListValue(char s)

  Creates a ListValue with the given separator.

Method Detail

### getSeparatorChar

    public char getSeparatorChar()

  Returns the separator used for this list.

### getCssValueType

    public short getCssValueType()

  Implements `Value.getCssValueType()`.

  Specified by:
    `getCssValueType` in interface `Value`
  Overrides:
    `getCssValueType` in class `AbstractValue`

### getCssText

    public java.lang.String getCssText()

  A string representation of the current value.

### getLength

    public int getLength()
                  throws org.w3c.dom.DOMException

  Implements `Value.getLength()`.

  Specified by:
    `getLength` in interface `Value`
  Overrides:
    `getLength` in class `AbstractValue`
  Throws:
    `org.w3c.dom.DOMException`

### item

    public Value item(int index)
               throws org.w3c.dom.DOMException

  Implements `Value.item(int)`.

  Specified by:
    `item` in interface `Value`
  Overrides:
    `item` in class `AbstractValue`
  Throws:
    `org.w3c.dom.DOMException`

### toString

    public java.lang.String toString()

  Returns a printable representation of this value.

### append

    public void append(Value v)

  Appends an item to the list.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.